<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.HEnergyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.HEnergy">
        <result column="code" property="code"/>
        <result column="energy_name" property="energyName"/>
        <result column="type" property="type"/>
        <result column="unit" property="unit"/>
        <result column="ref_modulus" property="refModulus"/>
        <result column="equal_modulus" property="equalModulus"/>
        <result column="unit_modulus" property="unitModulus"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        code, energy_name, type, unit, ref_modulus, equal_modulus, unit_modulus
    </sql>

</mapper>
